Download it now!
Bug 88855 - assertion failure: vcl/source/font/PhysicalFontFamily.cxx:297
Summary: assertion failure: vcl/source/font/PhysicalFontFamily.cxx:297
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium normal
Assignee: Tomofumi Yagi
URL:
Whiteboard: target:4.5.0 target:4.3.7 target:4.4.1
Keywords:
Depends on:
Blocks: CJK
  Show dependency treegraph
 
Reported: 2015-01-28 14:01 UTC by Tomofumi Yagi
Modified: 2015-02-06 14:38 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Screen shot:assertion failure (64.81 KB, image/png)
2015-01-28 14:01 UTC, Tomofumi Yagi
Details
fix assertiion patch1 (800 bytes, patch)
2015-01-28 14:13 UTC, Tomofumi Yagi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomofumi Yagi 2015-01-28 14:01:29 UTC
Created attachment 112859 [details]
Screen shot:assertion failure

The assertion is follows.
- - - - - 
Assertion failured!
Program: ...¥core¥instdir¥program¥vcllo.dll
File: .../core/vcl/source/font/PhysicalFontFamily.cxx
Line: 297
Expression: pClonedFace->GetFamilyName().replaceAll("-", "").trim() == GetFamilyName().replaceAll("-", "").trim() 
- - - - -

Steps to reproduce:
1. Start LibreOfficeDev(=Development version).
2. Start Writer.
3. Assertion failure.

Conditions the assertion occurs, are follows.
1. Localized environment (ie, Japanese environment, font name is localized)
2. HGS Gothic M fonts and HGP Gothic M fonts are installed,both.
  (localized font names are"HGSゴシックM" and "HGPゴシックM")

Causes the assertion occurs are follows.
GetEnglishSearchFontName () function returns "hgpgothicm",when that font name is not only "HGS Gothic M" but also "HGP Gothic M".
(Please refer  http://opengrok.libreoffice.org/xref/core/vcl/source/font/PhysicalFontFamily.cxx#285 )
So,
1)  pClonedFace-> GetFamilyName () replaceAll ("-", "") .trim () is "HGS Gothic M font",
2)  GetFamilyName () replaceAll ("-", "") .trim () is, becomes "HGP Gothic M font", 
then assertion occurs.
Comment 1 Tomofumi Yagi 2015-01-28 14:13:39 UTC
Created attachment 112860 [details]
fix assertiion patch1

This patch fixes the two problems.
One is assertion, one is typo.
I will send this patch to gerrit.
Comment 2 Commit Notification 2015-01-30 11:38:18 UTC
Tomofumi Yagi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c8c4e766643c8ad0a3d6d48e5105518ef5f66250

fix tdf#88855: GetEnglishSearchFontName() returns incorrect value.

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-02-05 07:27:32 UTC
Tomofumi Yagi committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df967d58b8e7aa640370819c1d4c5728f937c39d&h=libreoffice-4-3

fix tdf#88855: GetEnglishSearchFontName() returns incorrect value.

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-02-06 14:38:31 UTC
Tomofumi Yagi committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2ce0432345033701200a92f662ce6b989d1319cb&h=libreoffice-4-4

fix tdf#88855: GetEnglishSearchFontName() returns incorrect value.

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.